"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BPMNGLSPClientContribution = void 0;
const browser_1 = require("@eclipse-glsp/theia-integration/lib/browser");
const env_variables_1 = require("@theia/core/lib/common/env-variables");
const inversify_1 = require("@theia/core/shared/inversify");
const bpmn_language_1 = require("../common/bpmn-language");
let BPMNGLSPClientContribution = class BPMNGLSPClientContribution extends browser_1.BaseGLSPClientContribution {
    constructor() {
        super(...arguments);
        this.id = bpmn_language_1.BPMNLanguage.contributionId;
        this.fileExtensions = bpmn_language_1.BPMNLanguage.fileExtensions;
    }
    createInitializeOptions() {
        return {
            ['timestamp']: new Date().toString(),
            ['message']: 'Custom Options Available'
        };
    }
    async getWebSocketConnectionOptions() {
        const webSocketPort = await this.getWebSocketPortFromEnv();
        if (webSocketPort) {
            return {
                path: this.id,
                port: webSocketPort
            };
        }
        return undefined;
    }
    async getWebSocketPortFromEnv() {
        const envVar = await this.envVariablesServer.getValue('WEBSOCKET_PORT');
        if (envVar && envVar.value) {
            const webSocketPort = Number.parseInt(envVar.value, 10);
            if (isNaN(webSocketPort) || webSocketPort < 0 || webSocketPort > 65535) {
                throw new Error('Value of environment variable WEBSOCKET_PORT is not a valid port');
            }
            return webSocketPort;
        }
        return undefined;
    }
};
__decorate([
    (0, inversify_1.inject)(env_variables_1.EnvVariablesServer),
    __metadata("design:type", Object)
], BPMNGLSPClientContribution.prototype, "envVariablesServer", void 0);
BPMNGLSPClientContribution = __decorate([
    (0, inversify_1.injectable)()
], BPMNGLSPClientContribution);
exports.BPMNGLSPClientContribution = BPMNGLSPClientContribution;
//# sourceMappingURL=bpmn-glsp-client-contribution.js.map