"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BPMNGLSPSocketServerContribution = exports.LOG_DIR = exports.WEBSOCKET_PATH_ARG_KEY = exports.PORT_ARG_KEY = exports.DEFAULT_PORT = void 0;
/********************************************************************************
 * Copyright (c) 2020-2022 EclipseSource and others.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the Eclipse
 * Public License v. 2.0 are satisfied: GNU General Public License, version 2
 * with the GNU Classpath Exception which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 ********************************************************************************/
const node_1 = require("@eclipse-glsp/theia-integration/lib/node");
const inversify_1 = require("@theia/core/shared/inversify");
const path_1 = require("path");
const bpmn_language_1 = require("../common/bpmn-language");
exports.DEFAULT_PORT = 5007;
exports.PORT_ARG_KEY = 'GLSP_PORT';
exports.WEBSOCKET_PATH_ARG_KEY = 'PATH_PATH';
exports.LOG_DIR = (0, path_1.join)(__dirname, '..', '..', 'logs');
const JAR_FILE = (0, path_1.resolve)((0, path_1.join)(__dirname, '..', '..', '..', '..', 'open-bpmn.glsp-server', 'target', 'open-bpmn.server-1.0.3-SNAPSHOT-glsp.jar'));
let BPMNGLSPSocketServerContribution = class BPMNGLSPSocketServerContribution extends node_1.GLSPSocketServerContribution {
    constructor() {
        super(...arguments);
        this.id = bpmn_language_1.BPMNLanguage.contributionId;
    }
    // createContributionOptions(): Partial<GLSPSocketServerContributionOptions> {
    //     return {
    //         executable: JAR_FILE,
    //         additionalArgs: ['--consoleLog', 'false', '--fileLog', 'true', '--logDir', LOG_DIR],
    //         socketConnectionOptions: {
    //             port: getPort(PORT_ARG_KEY, DEFAULT_PORT)
    //         }
    //     };
    // }
    createContributionOptions() {
        return {
            executable: JAR_FILE,
            additionalArgs: ['--no-consoleLog', '--fileLog', 'true', '--logDir', exports.LOG_DIR],
            socketConnectionOptions: {
                port: (0, node_1.getPort)(exports.PORT_ARG_KEY, exports.DEFAULT_PORT),
                path: (0, node_1.getWebSocketPath)(exports.WEBSOCKET_PATH_ARG_KEY)
            }
        };
    }
};
BPMNGLSPSocketServerContribution = __decorate([
    (0, inversify_1.injectable)()
], BPMNGLSPSocketServerContribution);
exports.BPMNGLSPSocketServerContribution = BPMNGLSPSocketServerContribution;
//# sourceMappingURL=bpmn-glsp-server-contribution.js.map